SAP NetWeaver存在未明SQL注入漏洞

CNVD-ID CNVD-2017-29435 录入时间 2017-08-22
危害级别 高危   评分:7.8 报送时间 2017-08-22
产生原因 输入验证错误 归档时间 2017-10-10
引发威胁 未授权的信息泄露 公开时间 2017-10-10
攻击位置 远程 发现时间 2017-08-22
影响对象类型 应用程序漏洞 是否热点漏洞
涉及厂商 SAP
影响产品 SPA NetWeaver 0
BID ID 100163
漏洞描述 SAP NetWeaver是德国思爱普(SAP)公司的一套面向服务的集成化应用平台。该平台可为SAP应用提供开发和运行环境。 SAP NetWeaver存在未明SQL注入漏洞,由于程序在SQL查询中使用之前未能充分过滤用户提供的数据。攻击者可以利用漏洞破坏应用程序,访问或修改数据,或利用底层数据库中的潜在漏洞。
参考链接 http://www.securityfocus.com/bid/100163/
解决方案 用户可联系供应商获得补丁信息: https://help.sap.com/viewer/p/SAP_NETWEAVER
厂商补丁 SAP NetWeaver存在未明SQL注入漏洞的补丁
补丁编号 CNPD-2017-103344
补丁描述 SAP NetWeaver是德国思爱普(SAP)公司的一套面向服务的集成化应用平台。该平台可为SAP应用提供开发和运行环境。 SAP NetWeaver存在未明SQL注入漏洞,由于程序在SQL查询中使用之前未能充分过滤用户提供的数据。攻击者可以利用漏洞破坏应用程序,访问或修改数据,或利用底层数据库中的潜在漏洞。目前,供应商发布了安全公告及相关补丁信息,修复了此漏洞。
补丁链接 https://help.sap.com/viewer/p/SAP_NETWEAVER
验证信息 未验证